Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceEnumeration Class Reference

グラフィックスデバイス列挙 More...

`#include <GraphicsDeviceEnumeration.h>`

Inheritance diagram for Lamp::GraphicsDeviceEnumeration:

List of all members.

## Public Member Functions
virtual void | addAllowedFormat (D3DFORMAT allowedFormat)
| 許可するフォーマットの追加
virtual void | removeAllowedFormat (D3DFORMAT allowedFormat)
| 許可するフォーマットの削除
virtual int | getAllowedFormatCount () const
| 許可するフォーマット数の取得
virtual D3DFORMAT | getAllowedFormat (int index)
| 許可するフォーマットの取得
virtual void | setConfirmGraphicsDevice (ConfirmGraphicsDevice *confirm)
| グラフィックスデバイス確認インターフェースの設定
virtual ConfirmGraphicsDevice * | getConfirmGraphicsDevice () const
| グラフィックスデバイス確認インターフェースの取得
virtual bool | confirmGraphicsDevice (const D3DCapacity &deviceCapability, u_int vertexProcessingType, D3DFORMAT adapterFormat, D3DFORMAT backBufferFormat)
| グラフィックスデバイスの確認
virtual void | setMinimumFullscreenWidth (u_int width)
| 最小フルスクリーン幅の設定
virtual u_int | getMinimumFullscreenWidth () const
| 最小フルスクリーン幅の取得
virtual void | setMinimumFullscreenHeight (u_int height)
| 最小フルスクリーン高さの設定
virtual u_int | getMinimumFullscreenHeight () const
| 最小フルスクリーン高さの取得
virtual void | setMinimumAdapterColorChannelBits (u_int bits)
| 最小アダプタカラーチャンネルビットの設定
virtual u_int | getMinimumAdapterColorChannelBits () const
| 最小アダプタカラーチャンネルビットの取得
virtual void | setMinimumBackBufferAlphaChannelBits (u_int bits)
| 最小バックバッファアルファチャンネルビットの設定
virtual u_int | getMinimumBackBufferAlphaChannelBits () const
| 最小バックバッファアルファチャンネルビットの取得
virtual void | setMinimumDepthBits (u_int bits)
| 最小深度ビットの設定
virtual u_int | getMinimumDepthBits () const
| 最小深度ビットの取得
virtual void | setMinimumStencilBits (u_int bits)
| 最小ステンシルビットの設定
virtual u_int | getMinimumStencilBits () const
| 最小ステンシルビットの取得
virtual void | setRequiresWindowMode (bool requires)
| ウィンドウモードが必要かどうかの設定
virtual bool | getRequiresWindowMode () const
| ウィンドウモードが必要かどうかの取得
virtual void | setRequiresFullscreenMode (bool requires)
| フルスクリーンモードが必要かどうかの設定
virtual bool | getRequiresFullscreenMode () const
| フルスクリーンモードが必要かどうかの取得
virtual void | setUsesDepthStencilBuffer (bool uses)
| 深度、ステンシルバッファを使用するかの設定
virtual bool | getUsesDepthStencilBuffer () const
| 深度、ステンシルバッファを使用するかの取得
virtual void | setUsesMixedVertexProcessing (bool uses)
| 混合頂点演算を使用するかの設定
virtual bool | getUsesMixedVertexProcessing () const
| 混合頂点演算を使用するかの取得
virtual int | getAdapterCount ()
| アダプタ数の取得
virtual GraphicsAdapterInformation * | getAdapter (int index)
| アダプタの取得
## Static Public Member Functions
GraphicsDeviceEnumeration * | getInstance ()
| インスタンス取得
## Protected Member Functions
| GraphicsDeviceEnumeration ()
| コンストラクタ
virtual | ~GraphicsDeviceEnumeration ()
| デストラクタ
virtual bool | enumerate ()
| 列挙
## Friends
class | LampGraphics

## Detailed Description

グラフィックスデバイス列挙

Definition at line 40 of file GraphicsDeviceEnumeration.h.

## Member Function Documentation

virtual void Lamp::GraphicsDeviceEnumeration::addAllowedFormat | ( | D3DFORMAT | allowedFormat | ) | `[inline, virtual]`

  | 許可するフォーマットの追加 Parameters:
  allowedFormat | 許可するフォーマット
Definition at line 60 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< D3DFORMAT >::add(). Referenced by GraphicsDeviceEnumeration().

virtual bool Lamp::GraphicsDeviceEnumeration::confirmGraphicsDevice | ( | const D3DCapacity & | deviceCapability,
|  | u_int | vertexProcessingType,
|  | D3DFORMAT | adapterFormat,
|  | D3DFORMAT | backBufferFormat
| ) | `[inline, virtual]`

  | グラフィックスデバイスの確認 Parameters:
  deviceCapability | デバイス能力
  vertexProcessingType | 頂点プロセスタイプ
  adapterFormat | アダプタのフォーマット
  backBufferFormat | バックバッファのフォーマット
Returns: デバイスの使用を許可するならばtrueを返す。 Implements Lamp::ConfirmGraphicsDevice. Definition at line 114 of file GraphicsDeviceEnumeration.h.

bool Lamp::GraphicsDeviceEnumeration::enumerate | ( |  | ) | `[protected, virtual]`

| 列挙 Returns: 使用できるデバイスが存在すればtrue Definition at line 75 of file GraphicsDeviceEnumeration.cpp. References Lamp::ArrayList< GraphicsAdapterInformation * >::add(), Direct3D, Lamp::GraphicsAdapterInformation::enumerate(), Lamp::GraphicsAdapterInformation::getDeviceCount(), and u_int. Referenced by Lamp::LampGraphics::initializeDevice().

virtual GraphicsAdapterInformation* Lamp::GraphicsDeviceEnumeration::getAdapter | ( | int | index | ) | `[inline, virtual]`

  | アダプタの取得 Parameters:
  index | アダプタのインデクス
Returns: アダプタ Definition at line 302 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< GraphicsAdapterInformation * >::get(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsDeviceEnumeration().

virtual int Lamp::GraphicsDeviceEnumeration::getAdapterCount | ( |  | ) | `[inline, virtual]`

| アダプタ数の取得 Returns: アダプタ数 Definition at line 295 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< GraphicsAdapterInformation * >::getCount(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsDeviceEnumeration().

virtual D3DFORMAT Lamp::GraphicsDeviceEnumeration::getAllowedFormat | ( | int | index | ) | `[inline, virtual]`

| 許可するフォーマットの取得 Returns: 許可するフォーマット Definition at line 84 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< D3DFORMAT >::get(). Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual int Lamp::GraphicsDeviceEnumeration::getAllowedFormatCount | ( |  | ) | const`[inline, virtual]`

| 許可するフォーマット数の取得 Returns: 許可するフォーマット数 Definition at line 76 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< D3DFORMAT >::getCount(). Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual ConfirmGraphicsDevice* Lamp::GraphicsDeviceEnumeration::getConfirmGraphicsDevice | ( |  | ) | const`[inline, virtual]`

| グラフィックスデバイス確認インターフェースの取得 Returns: グラフィックスデバイス確認インターフェース Definition at line 102 of file GraphicsDeviceEnumeration.h. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate().

GraphicsDeviceEnumeration* Lamp::GraphicsDeviceEnumeration::getInstance | ( |  | ) | `[inline, static]`

| インスタンス取得 Returns: インスタンス Definition at line 48 of file GraphicsDeviceEnumeration.h. References Assert, and NULL.

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumAdapterColorChannelBits | ( |  | ) | const`[inline, virtual]`

| 最小アダプタカラーチャンネルビットの取得 Returns: 最小アダプタカラーチャンネルビット Definition at line 165 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumBackBufferAlphaChannelBits | ( |  | ) | const`[inline, virtual]`

| 最小バックバッファアルファチャンネルビットの取得 Returns: 最小バックバッファアルファチャンネルビット Definition at line 182 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumDepthBits | ( |  | ) | const`[inline, virtual]`

| 最小深度ビットの取得 Returns: 最小深度ビット Definition at line 199 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate().

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumFullscreenHeight | ( |  | ) | const`[inline, virtual]`

| 最小フルスクリーン高さの取得 Returns: 最小フルスクリーン高さ Definition at line 148 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumFullscreenWidth | ( |  | ) | const`[inline, virtual]`

| 最小フルスクリーン幅の取得 Returns: 最小フルスクリーン幅 Definition at line 131 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsAdapterInformation::enumerate().

virtual u_int Lamp::GraphicsDeviceEnumeration::getMinimumStencilBits | ( |  | ) | const`[inline, virtual]`

| 最小ステンシルビットの取得 Returns: 最小ステンシルビット Definition at line 216 of file GraphicsDeviceEnumeration.h. References u_int. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate().

virtual bool Lamp::GraphicsDeviceEnumeration::getRequiresFullscreenMode | ( |  | ) | const`[inline, virtual]`

| フルスクリーンモードが必要かどうかの取得 Returns: フルスクリーンモードが必要ならtrue Definition at line 250 of file GraphicsDeviceEnumeration.h. Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual bool Lamp::GraphicsDeviceEnumeration::getRequiresWindowMode | ( |  | ) | const`[inline, virtual]`

| ウィンドウモードが必要かどうかの取得 Returns: ウィンドウモードが必要ならtrue Definition at line 233 of file GraphicsDeviceEnumeration.h. Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual bool Lamp::GraphicsDeviceEnumeration::getUsesDepthStencilBuffer | ( |  | ) | const`[inline, virtual]`

| 深度、ステンシルバッファを使用するかの取得 Returns: 深度、ステンシルバッファを使用するならtrue Definition at line 267 of file GraphicsDeviceEnumeration.h. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), Lamp::GraphicsDeviceSelector::buildWindowModeSettings(), and Lamp::GraphicsDeviceComboInformation::enumerate().

virtual bool Lamp::GraphicsDeviceEnumeration::getUsesMixedVertexProcessing | ( |  | ) | const`[inline, virtual]`

| 混合頂点演算を使用するかの取得 Returns: 混合頂点演算を使用するならtrue Definition at line 284 of file GraphicsDeviceEnumeration.h. Referenced by Lamp::GraphicsDeviceComboInformation::enumerate().

virtual void Lamp::GraphicsDeviceEnumeration::removeAllowedFormat | ( | D3DFORMAT | allowedFormat | ) | `[inline, virtual]`

  | 許可するフォーマットの削除 Parameters:
  allowedFormat | 許可するフォーマット
Definition at line 68 of file GraphicsDeviceEnumeration.h. References Lamp::ArrayList< D3DFORMAT >::removeByValue().

virtual void Lamp::GraphicsDeviceEnumeration::setConfirmGraphicsDevice | ( | ConfirmGraphicsDevice * | confirm | ) | `[inline, virtual]`

  | グラフィックスデバイス確認インターフェースの設定 Parameters:
  confirm | グラフィックスデバイス確認インターフェース
Definition at line 93 of file GraphicsDeviceEnumeration.h. References Assert, and NULL. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumAdapterColorChannelBits | ( | u_int | bits | ) | `[inline, virtual]`

  | 最小アダプタカラーチャンネルビットの設定 Parameters:
  bits | 最小アダプタカラーチャンネルビット
Definition at line 157 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumBackBufferAlphaChannelBits | ( | u_int | bits | ) | `[inline, virtual]`

  | 最小バックバッファアルファチャンネルビットの設定 Parameters:
  bits | 最小バックバッファアルファチャンネルビット
Definition at line 174 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumDepthBits | ( | u_int | bits | ) | `[inline, virtual]`

  | 最小深度ビットの設定 Parameters:
  bits | 最小深度ビット
Definition at line 191 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumFullscreenHeight | ( | u_int | height | ) | `[inline, virtual]`

  | 最小フルスクリーン高さの設定 Parameters:
  height | 最小フルスクリーン高さ
Definition at line 140 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumFullscreenWidth | ( | u_int | width | ) | `[inline, virtual]`

  | 最小フルスクリーン幅の設定 Parameters:
  width | 最小フルスクリーン幅
Definition at line 123 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setMinimumStencilBits | ( | u_int | bits | ) | `[inline, virtual]`

  | 最小ステンシルビットの設定 Parameters:
  bits | 最小ステンシルビット
Definition at line 208 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setRequiresFullscreenMode | ( | bool | requires | ) | `[inline, virtual]`

  | フルスクリーンモードが必要かどうかの設定 Parameters:
  requires | フルスクリーンモードが必要ならtrue
Definition at line 242 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setRequiresWindowMode | ( | bool | requires | ) | `[inline, virtual]`

  | ウィンドウモードが必要かどうかの設定 Parameters:
  requires | ウィンドウモードが必要ならtrue
Definition at line 225 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setUsesDepthStencilBuffer | ( | bool | uses | ) | `[inline, virtual]`

  | 深度、ステンシルバッファを使用するかの設定 Parameters:
  uses | 深度、ステンシルバッファを使用するならtrue
Definition at line 259 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

virtual void Lamp::GraphicsDeviceEnumeration::setUsesMixedVertexProcessing | ( | bool | uses | ) | `[inline, virtual]`

  | 混合頂点演算を使用するかの設定 Parameters:
  uses | 混合頂点演算を使用するならtrue
Definition at line 276 of file GraphicsDeviceEnumeration.h. Referenced by GraphicsDeviceEnumeration().

The documentation for this class was generated from the following files:

- GraphicsDeviceEnumeration.h
- GraphicsDeviceEnumeration.cpp